Get versioned chart history references
curl --request GET \
--url https://api.agg.market/charts/history/manifest \
--header 'x-app-id: <api-key>'import requests
url = "https://api.agg.market/charts/history/manifest"
headers = {"x-app-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-app-id': '<api-key>'}};
fetch('https://api.agg.market/charts/history/manifest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": 1,
"revision": "<string>",
"venueMarketOutcomeId": "<string>",
"venue": "<string>",
"resolution": "1m",
"semantics": "venue-ohlcv-v1",
"from": 123,
"to": 123,
"finalizedThrough": 123,
"chunks": [
{
"key": "<string>",
"url": "<string>",
"sha256": "<string>",
"from": 123,
"to": 123,
"points": 256
}
],
"meta": {
"serverTime": 123,
"lastBarOpenTime": 123,
"staleSeconds": 123,
"state": "ready",
"complete": true,
"retryAfterMs": 123,
"fetchedAtMs": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"statusCode": 429,
"code": "rate_limited",
"retryAfter": 2
}{
"statusCode": 503,
"code": "rate_limit_unavailable",
"message": "<string>",
"retryAfter": 2
}Charts
Get versioned chart history references
Returns at most eight authorized CDN chunks, effective resolution, finalization boundary and delivery state. Fetch the unfinished tail with /charts/bars.
GET
/
charts
/
history
/
manifest
Get versioned chart history references
Authorizations
Your application ID. Required for all app-tier and user-tier routes.
Query Parameters
Available options:
1, 5, 60, 1D Required range:
1 <= x <= 5000Response
200
Available options:
1 Available options:
1m, 5m, 1h, 1d Available options:
venue-ohlcv-v1, polymarket-price-samples-v1, kalshi-ohlcv-quote-fallback-v2 Maximum array length:
8Show child attributes
Show child attributes
Show child attributes
Show child attributes